## mupen64plus 1.5+dfsg1

=== Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 DarkJeztr Tillin9 Richard42                   *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

# include pre-make file with a bunch of definitions
USES_QT4 = true
USES_GTK2 = true

ifeq ($(WIN32),1)
  include ./pre.mk.win32
else
  include ./pre.mk
endif

ifeq ($(OS), LINUX)
  LDFLAGS += -Wl,-export-dynamic
endif

# set executable stack as a linker option for X86 architecture, for dynamic recompiler
ifeq ($(CPU), X86)
  ifeq ($(OS), LINUX)
    LDFLAGS += -z execstack
  endif
endif

# set options
ifeq ($(DBG), 1)
  CFLAGS += -DDBG
endif
ifeq ($(DBG_COMPARE), 1)
  CFLAGS += -DCOMPARE_CORE
endif
ifeq ($(DBG_CORE), 1)
  CFLAGS += -DCORE_DBG
endif
ifeq ($(DBG_COUNT), 1)
  CFLAGS += -DCOUNT_INSTR
endif
ifeq ($(DBG_PROFILE), 1)
  CFLAGS += -DPROFILE_R4300
endif
ifeq ($(LIRC), 1)
  CFLAGS += -DWITH_LIRC
endif
ifeq ($(GUI), NONE)
  CFLAGS += -DNO_GUI
else
  ifeq ($(GUI), QT4)
  CFLAGS += $(QT_FLAGS) $(GTK_FLAGS)
  LDFLAGS += $(QT_LIBS)
    ifeq ($(DBG), 1)
      CFLAGS += $(GTK_FLAGS)
    endif
  else
    ifeq ($(GUI), GTK2)
      CFLAGS += $(GTK_FLAGS)
    endif
  endif
endif

# set installation options
ifeq ($(PREFIX),)
  PREFIX := /usr/local
endif
ifeq ($(SHAREDIR),)
  SHAREDIR := $(PREFIX)/share/mupen64plus
endif
ifeq ($(BINDIR),)
  BINDIR := $(PREFIX)/bin
endif
ifeq ($(LIBDIR),)
  LIBDIR := $(SHAREDIR)/plugins
endif
ifeq ($(MANDIR),)
  MANDIR := $(PREFIX)/man/man1
endif
ifeq ($(APPLICATIONSDIR),)
  APPLICATIONSDIR := $(PREFIX)/share/applications
endif

INSTALLOPTS := $(PREFIX) $(SHAREDIR) $(BINDIR) $(LIBDIR) $(MANDIR) $(APPLICATIONSDIR)

# list of object files to generate
OBJ_CORE = \
	main/main.o \
	main/romcache.o \
	main/util.o \
	main/cheat.o \
	main/config.o \
	main/adler32.o \
	main/md5.o \
	main/plugin.o \
	main/rom.o \
	main/savestates.o \
	main/zip/ioapi.o \
	main/zip/unzip.o \
	main/bzip2/bzlib.o \
	main/bzip2/crctable.o \
	main/bzip2/decompress.o \
	main/bzip2/compress.o \
	main/bzip2/randtable.o \
	main/bzip2/huffman.o \
	main/bzip2/blocksort.o \
	main/lzma/buffer.o \
	main/lzma/io.o \
	main/lzma/main.o \
	main/7zip/7zAlloc.o \
	main/7zip/7zBuffer.o \
	main/7zip/7zCrc.o \
	main/7zip/7zDecode.o \
	main/7zip/7zExtract.o \
	main/7zip/7zHeader.o \
	main/7zip/7zIn.o \
	main/7zip/7zItem.o \
	main/7zip/7zMain.o \
	main/7zip/LzmaDecode.o \
	main/7zip/BranchX86.o \
	main/7zip/BranchX86_2.o \
	memory/dma.o \
	memory/flashram.o \
	memory/memory.o \
	memory/pif.o \
	memory/tlb.o \
	r4300/r4300.o \
	r4300/bc.o \
	r4300/compare_core.o \
	r4300/cop0.o \
	r4300/cop1.o \
	r4300/cop1_d.o \
	r4300/cop1_l.o \
	r4300/cop1_s.o \
	r4300/cop1_w.o \
	r4300/exception.o \
	r4300/interupt.o \
	r4300/profile.o \
	r4300/pure_interp.o \
	r4300/recomp.o \
	r4300/special.o \
	r4300/regimm.o \
	r4300/tlb.o

# handle dynamic recompiler objects
ifneq ($(NO_ASM), 1)
  ifeq ($(CPU), X86)
    ifeq ($(ARCH), 64BITS)
      DYNAREC = x86_64
    else
      DYNAREC = x86
    endif
  endif
  OBJ_DYNAREC = \
      r4300/$(DYNAREC)/assemble.o \
      r4300/$(DYNAREC)/debug.o \
      r4300/$(DYNAREC)/gbc.o \
      r4300/$(DYNAREC)/gcop0.o \
      r4300/$(DYNAREC)/gcop1.o \
      r4300/$(DYNAREC)/gcop1_d.o \
      r4300/$(DYNAREC)/gcop1_l.o \
      r4300/$(DYNAREC)/gcop1_s.o \
      r4300/$(DYNAREC)/gcop1_w.o \
      r4300/$(DYNAREC)/gr4300.o \
      r4300/$(DYNAREC)/gregimm.o \
      r4300/$(DYNAREC)/gspecial.o \
      r4300/$(DYNAREC)/gtlb.o \
      r4300/$(DYNAREC)/regcache.o \
      r4300/$(DYNAREC)/rjump.o
else
  OBJ_DYNAREC = r4300/empty_dynarec.o
endif

OBJ_LIRC = \
	main/lirc.o

OBJ_OPENGL = \
	opengl/OGLFT.o \
	opengl/osd.o \
	opengl/screenshot.o

OBJ_GTK_GUI = \
	main/gui_gtk/main_gtk.o \
        main/gui_gtk/icontheme.o \
	main/gui_gtk/aboutdialog.o \
	main/gui_gtk/cheatdialog.o \
	main/gui_gtk/configdialog.o \
	main/gui_gtk/rombrowser.o \
	main/gui_gtk/romproperties.o

OBJ_DBG = \
	debugger/debugger.o \
	debugger/decoder.o \
	debugger/opprintf.o \
	debugger/memory.o \
	debugger/breakpoints.o

OBJ_GTK_DBG_GUI = \
	main/gui_gtk/debugger/debugger.o \
	main/gui_gtk/debugger/breakpoints.o \
	main/gui_gtk/debugger/desasm.o \
	main/gui_gtk/debugger/memedit.o \
	main/gui_gtk/debugger/varlist.o \
	main/gui_gtk/debugger/registers.o \
	main/gui_gtk/debugger/regGPR.o \
	main/gui_gtk/debugger/regCop0.o \
	main/gui_gtk/debugger/regSpecial.o \
	main/gui_gtk/debugger/regCop1.o \
	main/gui_gtk/debugger/regAI.o \
	main/gui_gtk/debugger/regPI.o \
	main/gui_gtk/debugger/regRI.o \
	main/gui_gtk/debugger/regSI.o \
	main/gui_gtk/debugger/regVI.o \
	main/gui_gtk/debugger/regTLB.o \
	main/gui_gtk/debugger/ui_clist_edit.o \
	main/gui_gtk/debugger/ui_disasm_list.o

OBJ_QT4_GUI = main/gui_qt4/libgui_qt4.a

PLUGINS	= plugins/blight_input.$(SO_EXTENSION) \
          plugins/dummyaudio.$(SO_EXTENSION) \
          plugins/dummyvideo.$(SO_EXTENSION) \
          plugins/glN64.$(SO_EXTENSION) \
          plugins/ricevideo.$(SO_EXTENSION) \
          plugins/glide64.$(SO_EXTENSION) \
          plugins/jttl_audio.$(SO_EXTENSION) \
          plugins/mupen64_hle_rsp_azimer.$(SO_EXTENSION) \
          plugins/mupen64_input.$(SO_EXTENSION)

SHARE = $(shell grep CONFIG_PATH config.h | cut -d '"' -f 2)

# set primary objects and libraries for all outputs
ALL = mupen64plus $(PLUGINS)
OBJECTS = $(OBJ_CORE) $(OBJ_DYNAREC) $(OBJ_OPENGL)
LIBS = $(SDL_LIBS) $(LIBGL_LIBS)

# add extra objects and libraries for selected options
ifeq ($(DBG), 1)
  OBJECTS +=  $(OBJ_DBG) $(OBJ_GTK_DBG_GUI)
  LIBS += -lopcodes -lbfd
endif
ifeq ($(LIRC), 1)
  OBJECTS += $(OBJ_LIRC)
  LDFLAGS += -llirc_client
endif
ifneq ($(GUI), NONE)
  ifneq ($(OS), WINDOWS)
    MISC_DEPS = mupen64plus.desktop
  endif
endif
ifeq ($(GUI), QT4)
  OBJECTS += $(OBJ_QT4_GUI)
  LIBS += $(QT_LIBS) $(GTK_LIBS)
else
  # we reimplement the translation functions in the Qt gui
  OBJECTS += main/translate.o
  ifneq ($(GUI), NONE)
    OBJECTS += $(OBJ_GTK_GUI)
    LIBS += $(GTK_LIBS) $(GTHREAD_LIBS)
  endif
endif

# build targets
targets:
	@echo "Mupen64Plus makefile. "
	@echo "  Targets:"
	@echo "    all           == Build Mupen64Plus and all plugins"
	@echo "    clean         == remove object files (also try clean-core or clean-plugins)"
	@echo "    rebuild       == clean and re-build all"
	@echo "    install       == Install Mupen64Plus and all plugins"
	@echo "    uninstall     == Uninstall Mupen64Plus and all plugins"
	@echo "  Options:"
	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
	@echo "    LIRC=1        == enable LIRC support"
	@echo "    NO_RESAMP=1   == disable libsamplerate support in jttl_audio"
	@echo "    NO_ASM=1      == build without assembly (no dynamic recompiler or MMX/SSE code)"
	@echo "    GUI=NONE      == build without GUI support"
	@echo "    GUI=GTK2      == build with GTK2 GUI support (default)"
	@echo "    GUI=QT4       == build with QT4 GUI support"
	@echo "    WIN32=1       == mingw build"
	@echo "  Install Options:"
	@echo "    PREFIX=path   == install/uninstall prefix (default: /usr/local/)"
	@echo "    SHAREDIR=path == path to install shared data (default: PREFIX/share/mupen64plus/)"
	@echo "    BINDIR=path   == path to install mupen64plus binary (default: PREFIX/bin/)"
	@echo "    LIBDIR=path   == path to install plugin libraries (default: SHAREDIR/plugins/)"
	@echo "    MANDIR=path   == path to install manual files (default: PREFIX/man/man1/)"
	@echo "  Debugging Options:"
	@echo "    PROFILE=1     == build gprof instrumentation into binaries for profiling"
	@echo "    DBGSYM=1      == add debugging symbols to binaries"
	@echo "    DBG=1         == build graphical debugger"
	@echo "    DBG_CORE=1    == print debugging info in r4300 core"
	@echo "    DBG_COUNT=1   == print R4300 instruction count totals (64-bit dynarec only)"
	@echo "    DBG_COMPARE=1 == enable core-synchronized r4300 debugging"
	@echo "    DBG_PROFILE=1 == dump profiling data for r4300 dynarec to data file"
#	@echo "    RELEASE=1     == inhibit SVN info from version strings"
#	@echo "    VER=x.y.z     == use this version number when RELEASE=1"
# The RELEASE and VER flags are hidden from view as they should only be used internally.
# They only affect the version strings

all: version.h $(ALL)

mupen64plus: $(MISC_DEPS) version.h $(OBJECTS)
	$(CXX) $(OBJECTS) $(LDFLAGS) $(CORE_LDFLAGS) $(LIBS) -o $@
ifneq ($(OS), WINDOWS)
	$(STRIP) $@
endif

install:
	./install.sh $(INSTALLOPTS)

uninstall:
	./uninstall.sh $(INSTALLOPTS)

clean-plugins:
ifneq ($(OS), WINDOWS)
	$(MAKE) -C blight_input clean
	$(MAKE) -C dummy_audio clean
	$(MAKE) -C dummy_video clean
	$(MAKE) -C glN64 clean
	$(MAKE) -C rice_video clean
	$(MAKE) -C glide64 clean
	$(MAKE) -C jttl_audio clean
	$(MAKE) -C rsp_hle clean
	$(MAKE) -C mupen64_input clean
	$(RM_F) plugins/mupen64_input.$(SO_EXTENSION) blight_input/arial.ttf.c blight_input/ttftoh plugins/blight_input.$(SO_EXTENSION) plugins/mupen64_hle_rsp_azimer.$(SO_EXTENSION)
	$(RM_F) plugins/dummyaudio.$(SO_EXTENSION) plugins/dummyvideo.$(SO_EXTENSION) plugins/jttl_audio.$(SO_EXTENSION) plugins/glN64.$(SO_EXTENSION) plugins/ricevideo.$(SO_EXTENSION) plugins/glide64.$(SO_EXTENSION)
endif

clean-core:
ifneq ($(OS), WINDOWS)
	$(RM_F) ./r4300/*.o ./r4300/x86/*.o ./r4300/x86_64/*.o ./memory/*.o ./debugger/*.o ./opengl/*.o
	$(RM_F) ./main/*.o ./main/version.h ./main/zip/*.o ./main/bzip2/*.o ./main/lzma/*.o ./main/7zip/*.o ./main/gui_gtk/*.o ./main/gui_gtk/debugger/*.o
	$(RM_F) mupen64plus mupen64plus.desktop
	$(RM_F) main/gui_qt4/moc_* main/gui_qt4/ui_*.h main/gui_qt4/*.o main/gui_qt4/*.a main/gui_qt4/Makefile
	$(RM_F) translations/*.qm
else
	del /S *.o *.$(SO_EXTENSION) mupen64plus.exe moc_* *.a *.qm
	cd main\gui_qt4
	del /S ui_*.h
endif

clean: clean-core clean-plugins

rebuild: clean all

# build rules
mupen64plus.desktop: FORCE
	@sed s:SHARE_DIR:"$(SHAREDIR)": mupen64plus.desktop.in > mupen64plus.desktop

version.h: FORCE
ifneq ($(OS), WINDOWS)
	@sed 's|@MUPEN_VERSION@|\"$(MUPEN_VERSION)\"| ; s|@PLUGIN_VERSION@|\"$(PLUGIN_VERSION)\"|' \
        main/version.template > version.h
	@$(MV) version.h main/version.h
else
	copy version.win32.h main\version.h
endif

.cpp.o:
	$(CXX) -o $@ $(CFLAGS) $(SDL_FLAGS) -c $<

.c.o:
	$(CC) -o $@ $(CFLAGS) $(SDL_FLAGS) -c $<

main/gui_qt4/Makefile:
	${QMAKE} main/gui_qt4/gui_qt4.pro -o main/gui_qt4/Makefile

main/gui_qt4/libgui_qt4.a: main/gui_qt4/Makefile FORCE
ifneq ($(OS), WINDOWS)
	${MAKE} -C main/gui_qt4
# Run lrelease only on ts files with locale suffix, makes no sense to run it on
# the template. For some reason this fails on windows.
	${LRELEASE} translations/*_*.ts
else

=== dummy_input/Makefile ===
#***************************************************************************
#                           dummy_input Makefile
#                            -------------------
# Copyright (C) 2007-2008 Scott Gorman (okaygo)
#***************************************************************************

#***************************************************************************
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#***************************************************************************


# include pre-make file with a bunch of definitions
include ../pre.mk

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += -fpic -DPIC -D__LINUX__ -DX86_ASM

# list of object files to generate
OBJECTS = \
	input.o \

# build targets
all: dummyinput.so

clean:
	rm -f *.o *.so

# build rules
.c.o:
	$(CXX) -o $@ $(CFLAGS) $(SDL_FLAGS) $(GTK_FLAGS) -c $<

dummyinput.so: $(OBJECTS)
	$(CXX) $^ $(LDFLAGS) $(ASM_LDFLAGS) $(PLUGIN_LDFLAGS) $(SDL_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(LIBGL_LIBS) -o $@
	$(STRIP) $@

input.o: input.c
	$(CXX) $(CFLAGS) $(SDL_FLAGS) -DMAINDEF -c -o $@ $<

=== dummy_video/Makefile ===
#***************************************************************************
#                           dummy_video Makefile
#                            -------------------
# Copyright (C) 2007-2008 Richard Goedeken (Richard42)
#***************************************************************************

#***************************************************************************
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#***************************************************************************


# include pre-make file with a bunch of definitions
ifeq ($(WIN32),1)
  include ../pre.mk.win32
else
  include ../pre.mk
endif

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += -fpic -DPIC -D__LINUX__ -DX86_ASM

# list of object files to generate
OBJECTS = \
	video.o \

# build targets
all: dummyvideo.$(SO_EXTENSION)

clean:
	rm -f *.o *.$(SO_EXTENSION)

# build rules
.cpp.o:
	$(CXX) -o $@ $(CFLAGS) $(SDL_FLAGS) $(GTK_FLAGS) -c $<

dummyvideo.$(SO_EXTENSION): $(OBJECTS)
	$(CXX) -shared $^ $(LDFLAGS) $(ASM_LDFLAGS) $(PLUGIN_LDFLAGS) $(SDL_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(LIBGL_LIBS) -o $@
ifneq ($(OS), WINDOWS)
	$(STRIP) $@
endif

video.o: video.cpp
	$(CXX) $(CFLAGS) $(SDL_FLAGS) -DMAINDEF -c -o $@ $<

=== glide64/Makefile ===
#***************************************************************************
#                             Glide64 Makefile
#                            -------------------
# Copyright (C) 2007-2008 Richard Goedeken (Richard42)
#***************************************************************************

#***************************************************************************
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#***************************************************************************

# include pre-make file with a bunch of definitions
USES_QT4 = true
USES_GTK2 = true
include ../pre.mk

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += $(SDL_FLAGS) $(GTK_FLAGS) -fpic -DPIC -DGCC -DUSE_GTK -Iwrapper/
LDFLAGS += $(PLUGIN_LDFLAGS) $(LIBGL_LIBS) $(SDL_LIBS)

ifeq ($(VPDEBUG), 1)
  CFLAGS  += -DVPDEBUG
  LDFLAGS += -lIL
endif
ifeq ($(RDP_LOG_ERR), 1)
  CFLAGS += -DRDP_LOGGING -DRDP_ERROR_LOG
else
  ifeq ($(RDP_LOG), 1)
    CFLAGS += -DRDP_LOGGING
  endif
endif

# list of object files to generate
OBJECTS = \
	Main.o \
	rdp.o \
	Ini.o \
	TexCache.o \
	Debugger.o \
	Util.o \
	CRC.o \
	Combine.o \
	TexBuffer.o \
	3dmath.o \
	DepthBufferRender.o

WRAPPEROBJECTS = \
	wrapper/combiner.o \
	wrapper/textures.o \
	wrapper/main.o \
	wrapper/geometry.o \
	wrapper/config.o \
	wrapper/filter.o \
	wrapper/2xsai.o \
	wrapper/hq2x.o \
	wrapper/hq4x.o

GTKOBJECTS = \
	support_gtk2.o \
	messagebox_gtk2.o \
	Config_gtk2.o

QT_OBJECTS = \
	messagebox_qt4.o \
	config_qt4.o \
	configdialog_qt4.o

MOC_OBJECTS = \
	configdialog_qt4.moc

OBJECTS	+= $(WRAPPEROBJECTS)
TARGET	= glide64.so

CFLAGS += -MMD -MP -MQ $@

ifeq ($(GUI), QT4)
  LDFLAGS += $(QT_LIBS)
  CFLAGS += $(QT_FLAGS) -DQT_NO_STL
  OBJECTS += $(QT_OBJECTS)
  QT_EXTRA := $(MOC_OBJECTS) ui_glide64config.h
else
  LDFLAGS += $(GTK_LIBS)
  CFLAGS += -DUSE_GTK $(GTK_FLAGS)
  OBJECTS += $(GTKOBJECTS)
endif

DEPS := $(OBJECTS:.o=.d) $(QT_OBJECTS:.o=.d)
ifneq ($(MAKECMDGOALS),clean)
-include $(DEPS)
endif

# build targets
targets:
	@echo "Glide64 Video Plugin + wrapper makefile. "
	@echo "  Targets:"
	@echo "    all        == Build Glide64 video plugin"
	@echo "    clean      == remove object files"
	@echo "    rebuild    == clean and re-build all"
	@echo "  Options:"
	@echo "    BITS=32       == build 32-bit binaries on 64-bit machine"
	@echo "    PROFILE=1     == build gprof instrumentation into binaries for profiling"
	@echo "    DBGSYM=1      == add debugging symbols to binaries"
	@echo "    NO_ASM=1      == disable inline assembly language code"
	@echo "    VPDEBUG=1     == some kind of debugging"
	@echo "    RDP_LOG=1     == Dump out RDP instruction data"
	@echo "    RDP_LOG_ERR=1 == Dump out RDP instruction data + errors"
	@echo "    GUI=GTK2      == Build gtk+-2 GUI"
	@echo "    GUI=QT4       == Build Qt4 GUI"

all: $(TARGET)

$(TARGET): $(QT_EXTRA) $(OBJECTS)
	$(LD) $(OBJECTS) $(LDFLAGS) -o $@
	$(STRIP) $@

ui_glide64config.h: glide64config.ui
	$(UIC) $< -o $@

configdialog_qt4.moc: configdialog_qt4.h
	$(MOC) $< -o $@

Main.o: font.h cursor.h
font.h:	compiletex
	./compiletex font.tex font.h font

cursor.h: compiletex
	./compiletex cursor.tex cursor.h cursor

compiletex: compiletex.c
	@rm -f compiletex compiletex.o
	$(CC) -o compiletex.o -c $<
	$(LD) -o $@ compiletex.o

rdp.o: ucode06.h

clean:
	$(RM) -rf $(OBJECTS) $(TARGET) $(DEPS) compiletex compiletex.o font.h cursor.h
	$(RM) -rf *.ii *.i *.s *.moc ui_*.h

rebuild: clean $(TARGET)


# build rules
.SUFFIXES: .o .cpp .c
.cpp.o:
# in case this was invoked because a header changed and the compilation fails,
# the record of dependency in the .d is gone, but not the .o
	@rm -f $@
	$(CXX) -o $@ $(CFLAGS) -c $<

.c.o:
	@rm -f $@
	$(CC) -o $@ $(CFLAGS) -c $<

.PHONY: all clean rebuild

=== jttl_audio/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 Tillin9 Richard42                             *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for JTTL SDL Audio plugin in Mupen64plus

# include pre-make file with a bunch of definitions
USES_GTK2 = true
include ../pre.mk

# test for presence of libsamplerate
ifneq ($(strip $(shell pkg-config samplerate --modversion 2> /dev/null)),)
  ifneq ($(NO_RESAMP), 1)
    # set libsamplerate flags and libraries
    SRC_FLAGS	= `pkg-config samplerate --cflags` -DUSE_SRC
    SRC_LIBS	= `pkg-config samplerate --libs`
  else
    # clear libsamplerate flags and libraries
    SRC_FLAGS	=
    SRC_LIBS	=
  endif
else
  # warn user
  $(warning No libsamplerate development libraries found.  jttl_audio will be built without Best Quality SINC resampler.)
  # clear libsamplerate flags and libraries
  SRC_FLAGS	=
  SRC_LIBS	=
endif

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += -fpic -DPIC

# list of object files to generate
OBJECTS = main.o volume.o

ifneq ($(findstring $(GUI), GTK2 QT4),)
  CFLAGS += $(GTK_FLAGS)
  PLUGIN_LDFLAGS += $(GTK_LIBS)
  OBJECTS += gui_gtk2.o
endif

ifeq ($(GUI),NONE)
  OBJECTS += gui_none.o
endif

# build targets
all: version.h jttl_audio.so

clean:
	rm -f *.o *.so

# build rules
version.h: FORCE
	@sed 's|@MUPEN_VERSION@|\"$(MUPEN_VERSION)\"| ; s|@PLUGIN_VERSION@|\"$(PLUGIN_VERSION)\"|' \
        ../main/version.template > version.h
	@$(MV) version.h ../main/version.h

.c.o:
	$(CC) $(CFLAGS) $(SDL_FLAGS) $(SRC_FLAGS) -c -o $@ $<

jttl_audio.so: $(OBJECTS)
	$(CC) $^ $(LDFLAGS) $(PLUGIN_LDFLAGS) $(SDL_LIBS) $(SRC_LIBS) -o $@
	$(STRIP) $@

FORCE:

=== mupen64_input/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 Tillin9 Richard42                             *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for Mupen64 Input in Mupen64plus.

# include pre-make file with a bunch of definitions
USES_GTK2 = true 
include ../pre.mk

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += -fpic -DPIC

ifeq ($(GUI),GTK2)
  CFLAGS += $(GTK_FLAGS) -DUSE_GTK
  PLUGIN_LDFLAGS += $(GTK_LIBS)
endif

# list of object files to generate
OBJECTS = main.o

# build targets
all: mupen64_input.so

clean:
	rm -f *.o *.so

# build rules
.c.o:
	$(CC) -o $@ $(CFLAGS) $(SDL_FLAGS) -c $<

mupen64_input.so: $(OBJECTS)
	$(CC) $^ $(LDFLAGS) $(SDL_LIBS) $(PLUGIN_LDFLAGS) -o $@
	$(STRIP) $@

=== rice_video/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 DarkJeztr Tillin9 Richard42                   *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for RiceVideoLinux, in Mupen64Plus

# include pre-make file with a bunch of definitions
USES_GTK2 = true
ifeq ($(WIN32),1)
  include ../pre.mk.win32
else
  include ../pre.mk
endif

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += $(SDL_FLAGS) -fpic -DPIC -Wall
LDFLAGS	+= $(SDL_LIBS) $(LIBGL_LIBS) $(PLUGIN_LDFLAGS)

# set options

ifeq ($(DBG), 1)
  CFLAGS += -D_DEBUG
endif

# list of object files to generate
OBJECTS = OGLGraphicsContext.o \
	Debugger.o \
	Video.o \
	Config.o \
	GraphicsContext.o \
	TextureFilters.o \
	DeviceBuilder.o \
	Render.o \
	RSP_Parser.o \
	TextureManager.o \
	RenderBase.o \
	FrameBuffer.o \
	Texture.o \
	TextureFilters_2xsai.o \
	TextureFilters_hq2x.o \
	TextureFilters_hq4x.o \
	liblinux/bmp.o \
	liblinux/BMGImage.o \
	liblinux/pngrw.o \
	OGLRender.o \
	OGLTexture.o \
	OGLFragmentShaders.o \
	OGLCombinerNV.o \
	OGLCombinerTNT2.o \
	OGLExtCombiner.o \
	OGLCombiner.o \
	OGLExtRender.o \
	blender.o \
	math.o \
	Combiner.o \
	RSP_S2DEX.o \
	RenderExt.o \
	ConvertImage.o \
	ConvertImage16.o \
	DecodedMux.o \
	RenderTexture.o \
	liblinux/BMGUtils.o \
	liblinux/pngread.o \
	liblinux/png.o \
	liblinux/pngget.o \
	liblinux/pngrtran.o \
	liblinux/pngtrans.o \
	liblinux/pngwrite.o \
	liblinux/pngset.o \
	liblinux/pngmem.o \
	OGLDecodedMux.o \
	CNvTNTCombiner.o \
	GeneralCombiner.o \
	DirectXDecodedMux.o \
	liblinux/pngerror.o \
	liblinux/inflate.o \
	liblinux/pngrio.o \
	liblinux/pngrutil.o \
	liblinux/crc32.o \
	liblinux/pngwutil.o \
	liblinux/pngwio.o \
	liblinux/pngwtran.o \
	liblinux/deflate.o \
	CombinerTable.o \
	liblinux/infblock.o \
	liblinux/zutil.o \
	liblinux/adler32.o \
	liblinux/trees.o \
	liblinux/infcodes.o \
	liblinux/infutil.o \
	liblinux/inftrees.o \
	liblinux/inffast.o \
	OGLRenderExt.o

GTKOBJECTS = \
	gui_gtk2/messagebox_gtk2.o

LDFLAGS += $(GTK_LIBS)
CFLAGS += -DUSE_GTK $(GTK_FLAGS)
OBJECTS += $(GTKOBJECTS)

# build targets
targets:
	@echo "RiceVideoLinux N64 Video plugin makefile. "
	@echo "  Targets:"
	@echo "    all        == Build RiceVideoLinux plugin"
	@echo "    clean      == remove object files"
	@echo "    rebuild    == clean and re-build all"
	@echo "  Options:"
	@echo "    BITS=32    == build 32-bit binaries on 64-bit machine"
	@echo "    PROFILE=1  == build gprof instrumentation into binaries for profiling"
	@echo "    DBG=1      == turn on debugging functions"
	@echo "    DBGSYM=1   == add debugging symbols to binaries"

all: version.h ricevideo.so

ricevideo.so: $(OBJECTS)
	$(LD) $(OBJECTS) $(GTK_LIBS) $(LDFLAGS) -o $@
	$(STRIP) $@

clean:
	$(RM) -rf ricevideo.so $(OBJECTS)

rebuild: clean all

# build rules
version.h: FORCE
	@sed 's|@MUPEN_VERSION@|\"$(MUPEN_VERSION)\"| ; s|@PLUGIN_VERSION@|\"$(PLUGIN_VERSION)\"|' \
        ../main/version.template > version.h
	@$(MV) version.h ../main/version.h

.cpp.o:
	$(CXX) -o $*.o $(CFLAGS) -c $<

.c.o:
	$(CC) -o $*.o $(CFLAGS) -c $<

FORCE:

=== rsp_hle/Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 DarkJeztr Tillin9 Richard42                   *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
# Makefile for Mupen64 HLE RSP plugin in Mupen64plus.

# include pre-make file with a bunch of definitions
USES_GTK2 = true 
include ../pre.mk

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS += -fpic -DPIC

ifeq ($(GUI),GTK2)
  CFLAGS += $(GTK_FLAGS) -DUSE_GTK
  PLUGIN_LDFLAGS += $(GTK_LIBS)
endif

# list of object files to generate
OBJECTS = main.o jpeg.o ucode3.o ucode2.o ucode1.o ucode3mp3.o

# build targets
all: mupen64_hle_rsp_azimer.so

clean:
	rm -f *.o *.so

# build rules
.c.o:
	$(CC) -o $@ $(CFLAGS) -c $<
.cpp.o:
	$(CXX) -o $@ $(CFLAGS) -c $<

mupen64_hle_rsp_azimer.so: $(OBJECTS)
	$(CXX) $^ $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@
	$(STRIP) $@

=== debian/changelog ===
mupen64plus (1.5+dfsg1-16) unstable; urgency=low

  * debian/patches:
    - Add rtc.patch, Add support for n64 internal clock
    - Add n64_romswap.patch, Fix swapping of n64 images
    - Add g_type_init.patch, Call g_type_init before starting gui
    - Add sigchld.patch, Don't kill emulation when a child thread stops
  * Upgraded to policy 3.9.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sun, 08 May 2011 18:34:53 +0200

mupen64plus (1.5+dfsg1-15) unstable; urgency=low

  * Upload to unstable
  * Updated my maintainer e-mail address
  * debian/patches:
    - Add inline_header.patch, Move inline list_empty to header to make it
      inlineable
  * Keep dependencies on separate lines in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 06 Feb 2011 11:57:54 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format string
      vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it (Closes:
      #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system offers
      it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64
      (Closes: #588066)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Jul 2010 23:20:02 +0200

mupen64plus (1.5+dfsg1-12) unstable; urgency=low

  * Use googlecode.debian.net instead of complex own filters for debian/watch
  * Upgraded to policy 3.9.0, no changes required
  * Build only on i386/amd64 because upstream doesn't to support more
  * debian/patches:
    - Add link_gdk.patch, Link directly against gdk-2.0 instead indirectly
      through gtk+-2.0

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 21:31:48 +0200

mupen64plus (1.5+dfsg1-11) unstable; urgency=low

  * debian/patches:
    - Rename ftbfs-gvariant-type-conflicts.path to
      ftbfs-gvariant-type-conflicts.patch
    - Add rice-ati-symbols.patch, Allow to load rice on systems with missing
      opengl extensions

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 May 2010 11:55:23 +0200

mupen64plus (1.5+dfsg1-10) unstable; urgency=low

  [ Sven Eckelmann ]
  * debian/patches:
    - Add rsp_ucode2_reset.patch, Reset status of specific ucode2 hacks after
      starting again
    - Add rsp_hle_bigendian.patch, Fix wrong high level emulation of rsp on big
      endian systems
    - Add rice-crash-vendorstring.patch, Don't crash on long OpenGL vendor
      string (Closes: #580480, LP: #575968)

  [ Piotr Ożarowski ]
  * DMUA flag set to yes

 -- Sven Eckelmann <sven@narfation.org>  Thu, 06 May 2010 11:34:46 +0200

mupen64plus (1.5+dfsg1-9) unstable; urgency=low

  * debian/patches:
    - Add ftbfs-gvariant-type-conflicts.path, Fix FTBFS due to glib's gvariant.h
      type definitions (Closes: #577329)
    - Add dont-install-unneeded.patch, Don't install files which aren't used by
      us
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
    - Share options between dh_auto_build and dh_auto_install
  * debian/control:
    - Depend on debhelper 7.4.10 for --parallel and --list-missing

 -- Sven Eckelmann <sven@narfation.org>  Sun, 11 Apr 2010 12:23:04 +0200

mupen64plus (1.5+dfsg1-8) unstable; urgency=low

  * debian/patches:
    - Add rice_fog.patch, Reduce flickering when enabling fog in rice
    - Update fix_readpng.patch, Fix FTBFS with libpng14 and remove coding style
      only changes
  * Convert to 3.0 (quilt) source format
  * Remove outdated README.source
  * debian/control:
    - Remove shlibs:Depends for binary packages without shared libs dependencies
    - Remove unneeded build dependency to quilt
    - Upgraded to policy 3.8.4, no changes required
  * Correct spelling errors found by lintian
  * debian/copyright: Update copyright years
  * Check all files ever published on the download page in debian/watch

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Mar 2010 16:22:03 +0100

mupen64plus (1.5+dfsg1-7) unstable; urgency=low

  * debian/patches:
    - Correct minor dep3 patch tagging format problems
    - Update correct_fpr32_mapping.patch, prevent corruption of upper registers
      in a register pair due to sign extension
    - Add system-liblzma.patch, use liblzma from debian instead of buildin
      (Closes: #543552)
  * debian/control:
    - Depend on liblzma-dev for lzma and xz support

 -- Sven Eckelmann <sven@narfation.org>  Mon, 19 Oct 2009 12:38:26 +0200

mupen64plus (1.5+dfsg1-6) unstable; urgency=low

  * debian/patches:
    - Add Origin information to patches
    - Update fix_readpng.patch, Backport actual commit from upstream
    - Update ftbfs-glibc210.patch, Backport actual commit from upstream
    - Update noexecstack.patch, Backport actual commit from upstream
    - Update jttl_fix_romclosed.patch, Backport actual commit from upstream
    - Add correct_fpr32_mapping.patch, Correct emulation of shared 32 bit wide
      and 64 bit wide FPR in MIPS I and MIPS III mode
    - Remove load-fpr-location.patch which is replaced by
      correct_fpr32_mapping.patch
    - Add load_aidacrate.patch, Set aiDacrate during savestate load to fix
      slowdowns after savestate load
    - Add load_vistatus.patch, Set video width and status during savestate load


=== debian/control ===
Source: mupen64plus
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://git.debian.org/git/collab-maint/mupen64plus.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mupen64plus.git
Build-Depends:
 debhelper (>= 8.0.0),
 hardening-includes,
 libbz2-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-dev,
 libglu1-mesa-dev | libglu-dev,
 libgtk2.0-dev,
 liblzma-dev,
 libpng12-dev | libpng-dev,
 libsamplerate0-dev,
 libsdl1.2-dev,
 libsdl-ttf2.0-dev,
 libxdg-basedir-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: mupen64plus
Architecture: any-i386 any-amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ttf-dejavu-core,
Description: plugin-based Nintendo 64 emulator
 N64 Emulator for Linux that works with many ROMs that are publically available.
 It has the following features:
  * loading of compressed roms
  * cheat system
  * exchangeable plugins for graphics, sound and input emulation
  * multiple save states
  * fullscreen support
  * high quality texture filter for many graphic plugins
  * support for external hi-res texture packs

Package: mupen64plus-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Depends:
 ${misc:Depends},
 mupen64plus (= ${binary:Version}),
Description: mupen64plus debug symbols package
 N64 Emulator for Linux that works with many ROMs that are publically available.
 It has the following features:
  * loading of compressed roms
  * cheat system
  * exchangeable plugins for graphics, sound and input emulation
  * multiple save states
  * fullscreen support
  * high quality texture filter for many graphic plugins
  * support for external hi-res texture packs
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

DEB_BUILD_HARDENING_PIE:=0
include /usr/share/hardening-includes/hardening.make
CFLAGS += $(HARDENING_CFLAGS)
CXXFLAGS += $(HARDENING_CFLAGS)
LDFLAGS += $(HARDENING_LDFLAGS)

export PIE_CFLAGS=$(HARDENING_DISABLE_PIE_CFLAGS_FILTER)
export PIE_LDFLAGS=$(HARDENING_DISABLE_PIE_LDFLAGS_FILTER)

LDFLAGS += -Wl,--as-needed

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
MAKEOPTIONS = UNAME='$(DEB_HOST_GNU_CPU)' DBGSYM=1 PREFIX=/usr/ LIBDIR=/usr/lib/mupen64plus/ BINDIR=/usr/games/

%:
	dh $@ --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_clean:
	mkdir -p "$(CURDIR)/glN64"
	cp "$(CURDIR)/debian/Makefile.glN64" "$(CURDIR)/glN64/Makefile"
	dh_auto_clean
	rm -rf "$(CURDIR)/glN64"
	rm -rf "$(CURDIR)/plugins"

override_dh_auto_build:
	mkdir -p "$(CURDIR)/plugins"
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)
	mkdir -p "$(CURDIR)/debian/tmp/usr/share/man/man1/"
	zcat "$(CURDIR)/doc/mupen64plus.1.gz"|gzip -9 -n > \
	     "$(CURDIR)/debian/tmp/usr/share/man/man1/mupen64plus.1.gz"

override_dh_strip:
	dh_strip -a --dbg-package=mupen64plus-dbg

.PHONY: get-orig-source

=== debian/watch ===
version=3

opts="uversionmangle=s/-/./,dversionmangle=s/\+dfsg\d+$//" \
http://googlecode.debian.net/p/mupen64plus/Mupen64Plus-(.*).src\.tar.gz \
	debian debian/prune-tarball.sh

## mupen64plus 1.99.4%2b4

=== debian/changelog ===
mupen64plus (1.99.4+4) unstable; urgency=low

  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Add dependency mupen64plus-rsp-z64 to mupen64plus-rsp-all because it
    also provides mupen64plus-rsp-z64-hlevideo
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:48:29 +0100

mupen64plus (1.99.4+3) unstable; urgency=low

  * Upgraded to policy 3.9.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sun, 14 Aug 2011 18:00:01 +0200

mupen64plus (1.99.4+2) unstable; urgency=low

  * Upload to unstable
  * Remove overrides for lintian warning about change to native package
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Fix spelling of "Flexible" in debian/control (Closes: #633693)
  * Mark all targets in debian/rules as phony
  * Add some information about the mupen64plus 2.0 vision in debian/NEWS

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:23:26 +0200

mupen64plus (1.99.4+1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * Provide metapackages for audio, input, rsp, ui and video plugins
  * Override lintian warning about change to native package
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Remove patches related to debian packages: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, default-optimisations.patch,
      dejavu-font.patch, destdir.patch, dont-install-unneeded.patch,
      fix-7z-subfolder.patch, fix-desktop-file.patch,
      fix_r0_override.patch, fix_readpng.patch, ftbfs-debugger.patch,
      ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch,
      link_gdk.patch, load_aidacrate.patch, load_vistatus.patch,
      noexecstack.patch, optional_signinfo.patch, osd-pause-crash.patch,
      path_max.patch, pie_support.patch, plugin-searchpath.patch,
      remove-gln64.patch, remove-nondfsg-icons.patch,
      resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch,
      system-liblzma.patch, system-libpng.patch, system-zlib.patch,
      version-string.patch, xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

## mupen64plus 1.99.4+3

=== debian/control ===
Source: mupen64plus
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus.git
Build-Depends:
 debhelper (>= 8.0.0),

Package: mupen64plus
Architecture: all
Depends:
 ${misc:Depends},
 mupen64plus-ui-console | mupen64plus-ui,
Description: plugin-based Nintendo 64 emulator (transitional dummy package)
 This is a dummy package to ease transition to a mupen64plus frontend.
 .
 It can safely be removed from your system.

Package: mupen64plus-audio-all
Architecture: all
Depends:
 ${misc:Depends},
 mupen64plus-audio-sdl,
Description: plugin-based Nintendo 64 emulator, audio plugins
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This metapackage includes all audio plugins usable with mupen64plus.

Package: mupen64plus-input-all
Architecture: all
Depends:
 ${misc:Depends},
 mupen64plus-input-sdl,
Description: plugin-based Nintendo 64 emulator, input plugins
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This metapackage includes all input plugins usable with mupen64plus.

Package: mupen64plus-rsp-all
Architecture: all
Depends:
 ${misc:Depends},
 mupen64plus-rsp-hle,
Description: plugin-based Nintendo 64 emulator, rsp plugins
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This metapackage includes all reality signal processor plugins usable with
 mupen64plus.

Package: mupen64plus-video-all
Architecture: all
Depends:
 ${misc:Depends},
 mupen64plus-video-arachnoid,
 mupen64plus-video-glide64,
 mupen64plus-video-rice,
 mupen64plus-video-z64,
Description: plugin-based Nintendo 64 emulator, video plugins
 Flexible N64 Emulator for Linux that works with many ROMs that are publically
 available. It consists of separate components to provide an user interface,
 audio and graphics output, controller input, co-processor emulation and an
 emulator core.
 .
 This metapackage includes all video plugins usable with mupen64plus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep %:
	dh $@

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep

## mupen64plus 1.99.4+4

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
 Depends:
  ${misc:Depends},
  mupen64plus-rsp-hle,
+ mupen64plus-rsp-z64,
 Description: plugin-based Nintendo 64 emulator, rsp plugins
  Flexible N64 Emulator for Linux that works with many ROMs that are publically
  available. It consists of separate components to provide an user interface,
